package sample.dataservice;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;
import org.apache.axiom.om.OMNamespace;
import org.apache.axis2.addressing.EndpointReference;
import org.apache.axis2.client.Options;
import org.apache.axis2.client.ServiceClient;
import org.apache.axis2.util.XMLPrettyPrinter;

public class DataServiceClient1 {
	private static EndpointReference targetEPR = new EndpointReference(
			"http://localhost:9762/services/DataServiceSample1");

	public static void main(String args[]) {
		try {
			testCustomerContactDetailsPayload();
			testEmployeeContactDetailsByNumber();
			
		} catch (Exception exception) {
			exception.printStackTrace();
		}
	}
	
	private static void testCustomerContactDetailsPayload() throws Exception {
		Options options1 = new Options();
		options1.setTo(targetEPR);
		options1.setAction("urn:customersInBoston");

		ServiceClient sender1 = new ServiceClient();
		sender1.setOptions(options1);
		
		OMElement payload1 = getCustomerContactDetailsPayload();
		OMElement result1 = sender1.sendReceive(payload1);
		System.out.println("\n\nRequesting contact details of customers in Boston...\n");
		
		XMLPrettyPrinter.prettify(result1, System.out);		
	}
	
	private static OMElement getCustomerContactDetailsPayload() {
		OMFactory fac = OMAbstractFactory.getOMFactory();
		OMNamespace omNs = fac.createOMNamespace(
				"http://example1.org/example1", "example1");
		OMElement method = fac.createOMElement("contactDetailsOfCustomersInBoston", omNs);
		return method;
	}
	
	private static void testEmployeeContactDetailsByNumber() throws Exception {
		Options options2 = new Options();
		options2.setTo(targetEPR);
		options2.setAction("urn:employeesByNumber");

		ServiceClient sender2 = new ServiceClient();
		sender2.setOptions(options2);
		
		System.out.println("\n\nRequesting employee contact details for employee number 1002...\n");
		OMElement payload2 = getEmployeeContactDetailsByNumberPayload();
		OMElement result2 = sender2.sendReceive(payload2);
		
		XMLPrettyPrinter.prettify(result2, System.out);
	}
	
	private static OMElement getEmployeeContactDetailsByNumberPayload() {
		OMFactory fac = OMAbstractFactory.getOMFactory();
		OMNamespace omNs = fac.createOMNamespace(
				"http://example1.org/example1", "example1");
		OMElement method = fac.createOMElement("employeeContactDetailsByNumber", omNs);
		OMElement param1 = fac.createOMElement("employeeNumber", omNs);
		param1.setText("1002");
		method.addChild(param1);
		return method;
	}
}
