<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="*">
        <h4><a href="#" onClick="javascript:showServiceInitializer(); return false;">Services</a>&#160;&gt;&#160;EJB Provider Configuration</h4>
		
    	<fieldset style="border:none;">
        <div id="formset">
		<form>
			<fieldset>
				<legend>Existing Configurations</legend>
        		<table class="styled">
        			<xsl:choose>
            			<xsl:when test="return">
							<thead>
								<tr>
									<th>Service Name</th>
					    			<th>Provider URL</th>
	    		        			<!--th>JNDI Context Class</th-->
	            					<th>Bean JNDI Name</th>
	            					<th>Actions</th>
	        					</tr>
							</thead>
	            			<xsl:for-each select="return">
	                		<tr>
								<td>
	                        		<xsl:attribute name="rowspan"><xsl:value-of select = "count(roles) + 1" /></xsl:attribute>
	                        		<xsl:value-of select="serviceName"/>
	                    		</td>
			    				<td>
	                        		<xsl:attribute name="rowspan"><xsl:value-of select = "count(roles) + 1" /></xsl:attribute>
	                        		<xsl:value-of select="providerURL"/>
	                    		</td>
	                    		<!--td>
	                        		<xsl:attribute name="rowspan"><xsl:value-of select = "count(roles) + 1" /></xsl:attribute>
	                        		<xsl:value-of select="jndiContextClass"/>
	                    		</td-->
	                    		<td>
	                        		<xsl:attribute name="rowspan"><xsl:value-of select = "count(roles) + 1" /></xsl:attribute>
	                        		<xsl:value-of select="beanJNDIName"/>
	                    		</td>
	                    		<td>
	                        		<xsl:attribute name="rowspan"><xsl:value-of select = "count(roles) + 1" /></xsl:attribute>
	                        		&#160;&#160;
	                        		<a id="edit_link">
										<xsl:attribute name="href">#</xsl:attribute>
										<xsl:attribute name="onClick">javascript:getServiceSpecficParametersForConfig('<xsl:value-of select="serviceName"/>','ejb_service'); return false;</xsl:attribute>
										<xsl:attribute name="title">Edit EJB Configuration</xsl:attribute>
										&#160;&#160;&#160;&#160;
									</a>
									<!--
	                        		&#160;&#160;&#160;&#160;
	                        		<a id="cancel_link">
										<xsl:attribute name="href">#</xsl:attribute>
										<xsl:attribute name="onClick">javascript:deleteEJBConfiguration('<xsl:value-of select="beanJNDIName"/>','<xsl:value-of select="providerURL"/>'); return false;</xsl:attribute>
										<xsl:attribute name="title">Delete EJB Configuration</xsl:attribute>
										&#160;&#160;&#160;&#160;
									</a>
	                        		&#160;&#160;
									-->
	                    		</td>
	                		</tr>
	            			</xsl:for-each>
	            		</xsl:when>
        	    	<xsl:otherwise>
					<tr>
						<td style="border: none;">
							<label style="width: 200px; color: brown; align: left;">No existing EJB Configurations</label>
						</td>
					</tr>
        	    	</xsl:otherwise>
        		</xsl:choose>
	        </table>
		</fieldset>
	</form>
	<p>&#160;</p>
	<form>
		<fieldset>
			<legend>Application Server Details</legend>
			    <table>
			        <tbody>
					    <tr><td colspan="2"></td></tr>
							<tr><td colspan="2">
							<input type="radio" name="appServerConfiguration1" value="existingEJBServer"  onclick="javascript:toggleEJBAppServerConfigurationEditScreen(this.value);" checked="true"/><b>Use existing</b>
							</td></tr>
							<tr><td colspan="2">
				   					    <div>
											<label>Server Configuration</label>
											<select id="existingAppServerConfigurations" name="existingAppServerConfigurations" >
												<xsl:attribute name="onchange">javascript:setDefaultServerValues(this,document);return false;</xsl:attribute>
											</select>
										    <!--<script><![CDATA[loadExistingAppServerConfigComboBox();]]></script>-->
											<!--<script><![CDATA[ejbProviderStep1DisableFields();]]></script>-->
										</div>
										
							</td></tr>
							<tr><td colspan="2"><input type="radio" name="appServerConfiguration2" value="addNewEJBServer"  onclick="javascript:toggleEJBAppServerConfigurationEditScreen(this.value);"/><b>Add New</b></td></tr>
							<tr>
									    <td colspan="2">
				   					    <div>
										<label>Server Type</label>
										<select id="serverType" name="serverType">
											<xsl:attribute name="onchange">javascript:setDefaultServerValues(this,document);return false;</xsl:attribute>
										</select>
									    <!--<script><![CDATA[loadAppServersComboBox();]]></script>-->
										<br/>
									    </div>
							                    <div>
							                        <label for="providerUrl">Provider URL<font color='red'>*</font></label><input type="text" id="providerUrl" tabindex="2" size="40" maxlength="100"/>
							                    </div>
                    						    <div>
							                        <label for="jndiContextClass">JNDI Context Class<font color='red'>*</font></label><input 	type="text" id="jndiContextClass" tabindex="3" size="70" maxlength="100"/>
							                    </div>
                    							<div>
							                        <label for="userName">User Name</label><input type="text" id="userName" tabindex="4" size="15" maxlength="20"/>
							                    </div>
                    							<div>
							                        <label for="password">Password</label><input type="password" id="password" tabindex="5" size="15" maxlength="20"/>
							                    </div>
                    							<div>
							                        <label for="password">Confirm Password</label><input type="password" id="confirmPassword" tabindex="5" size="15" maxlength="20"/>
							                    </div>												
												<div>
													<label></label><input type="button" id="addApplicationServerButton" name="addApplicationServerButton" onclick="javascript:addApplicationServer();" value=" Add Application Server "></input>
												</div>
									    </td>
					 			   </tr>
							    </tbody>
							</table>
						</fieldset>
                        <br/>
                        <div class="buttonrowBottom">							
			    			<input type="button"  onclick="javascript:addApplicationServerElement();" value=" Next > "></input>
	   	                </div>
				</form>
			<p>&#160;</p>
        </div>
	    <iframe src="_blank.html" onload="javascript:loadAppServersComboBox();"
			scrolling="no" style="visibility:hidden"
			width="0" height="0"/>

	    <iframe src="_blank.html" onload="javascript:loadExistingAppServerConfigComboBox();"
			scrolling="no" style="visibility:hidden"
			width="0" height="0"/>
			
	    <iframe src="_blank.html" onload="javascript:ejbProviderStep1DisableFields();"
			scrolling="no" style="visibility:hidden"
			width="0" height="0"/>
		
        </fieldset>
    </xsl:template>
</xsl:stylesheet>