<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:output method="html"/>

    <xsl:template match="ns:listServiceGroupResponse/return | ns:configureMTOMResponse/return" xmlns:ns="http://org.apache.axis2/xsd">
        <xsl:variable name="serviceGroupName" select="group_name"/>
        <xsl:variable name="enableMTOM" select="enableMTOM" />
        <fieldset style='border: 0px;'>
            <div>
                <h4><a href='#' onClick='javascript:showServiceInitializer(); return false;'>Services</a>&#160;&gt;&#160;[<xsl:value-of select="$serviceGroupName" />]&#160;Service Group</h4>
                <h2>Service Group Management&#160;[<xsl:value-of select="$serviceGroupName" />]</h2>
            </div>
            <div>
                <table class="styledLeft">
                    <thead>
                        <tr>
                            <th colspan="2">General</th>
                        </tr>
                    </thead>
                    <tr>
                        <td>
                            <strong>Service Group Name</strong>
                        </td>
                        <td>
                            <xsl:value-of select="$serviceGroupName"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <strong>MTOM</strong>
                        </td>
                        <td>
                            <xsl:if test="$enableMTOM='true'">
							    Enabled&#160;&#160;[<a style='cursor:pointer;' onclick='javascript:configureMTOM("false","{$serviceGroupName}");'>Disable</a>]
                            </xsl:if>
                            <xsl:if test="$enableMTOM='false'">
                                Disabled&#160;&#160;[<a style='cursor:pointer;' onclick='javascript:configureMTOM("true","{$serviceGroupName}");'>Enable</a>]
                            </xsl:if>
                        </td>
                    </tr>
                </table>
            </div>

            <div>
                <a id='operations_link' href='#' onclick='javascript:getServiceGroupSpecificParametersForConfig("{$serviceGroupName}");return false;'>&#160;&#160;&#160;&#160;&#160;&#160;Manage Service Group Parameters</a>
            </div>
            <div>
                <a id='module_view_link' href='#' onclick='javascript:engageModulePerServiceGroup("{$serviceGroupName}");return false;'>&#160;&#160;&#160;&#160;&#160;&#160;Manage Module Engagements</a>
            </div>
            <div>
                <a id='create_svc_link' href='#' onclick='javascript:dumpAAR("{$serviceGroupName}");return false;'>&#160;&#160;&#160;&#160;&#160;&#160;Create Service Archive</a>
            </div>
        </fieldset>
    </xsl:template>

</xsl:stylesheet>